=== modified file 'drizzled/lex.h'
--- drizzled/lex.h	2008-12-22 05:41:56 +0000
+++ drizzled/lex.h	2008-12-23 20:38:38 +0000
@@ -318,7 +318,6 @@
   { "ON",		SYM(ON)},
   { "ONE",              SYM(ONE_SYM)},
   { "ONLINE",		SYM(ONLINE_SYM)},
-  { "ONE_SHOT",		SYM(ONE_SHOT_SYM)},
   { "OPEN",		SYM(OPEN_SYM)},
   { "OPTIMIZE",		SYM(OPTIMIZE)},
   { "OPTIONS",		SYM(OPTIONS_SYM)},

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-12-23 19:05:12 +0000
+++ drizzled/set_var.cc	2008-12-23 20:38:38 +0000
@@ -2627,35 +2627,6 @@
 }
 
 
-/**
-  Say if all variables set by a SET support the ONE_SHOT keyword
-  (currently, only character set and collation do; later timezones
-  will).
-
-  @param var_list	List of variables to update
-
-  @note
-    It has a "not_" because it makes faster tests (no need to "!")
-
-  @retval
-    0	all variables of the list support ONE_SHOT
-  @retval
-    1	at least one does not support ONE_SHOT
-*/
-
-bool not_all_support_one_shot(List<set_var_base> *var_list)
-{
-  List_iterator_fast<set_var_base> it(*var_list);
-  set_var_base *var;
-  while ((var= it++))
-  {
-    if (var->no_support_one_shot())
-      return 1;
-  }
-  return 0;
-}
-
-
 /*****************************************************************************
   Functions to handle SET mysql_internal_variable=const_expr
 *****************************************************************************/

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2008-12-23 19:05:12 +0000
+++ drizzled/set_var.h	2008-12-23 20:38:38 +0000
@@ -80,10 +80,9 @@
   const char *name;
 
   sys_after_update_func after_update;
-  bool no_support_one_shot;
   sys_var(const char *name_arg, sys_after_update_func func= NULL,
           Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
-    :name(name_arg), after_update(func), no_support_one_shot(1),
+    :name(name_arg), after_update(func),
     binlog_status(binlog_status_arg),
     m_allow_empty_value(true)
   {}
@@ -722,9 +721,7 @@
   sys_var_collation(const char *name_arg,
                     Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
     :sys_var_session(name_arg, NULL, binlog_status_arg)
-  {
-    no_support_one_shot= 0;
-  }
+  { }
   bool check(Session *session, set_var *var);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   bool check_update_type(Item_result type)
@@ -742,13 +739,7 @@
   sys_var_character_set(const char *name_arg, bool is_nullable= 0,
                         Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
     :sys_var_session(name_arg, NULL, binlog_status_arg), nullable(is_nullable)
-  {
-    /*
-      In fact only almost all variables derived from sys_var_character_set
-      support ONE_SHOT; character_set_results doesn't. But that's good enough.
-    */
-    no_support_one_shot= 0;
-  }
+  { }
   bool check(Session *session, set_var *var);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   bool check_update_type(Item_result type)
@@ -952,7 +943,6 @@
                         Binlog_status_enum binlog_status_arg= NOT_IN_BINLOG)
     :sys_var_session(name_arg, NULL, binlog_status_arg)
   {
-    no_support_one_shot= 0;
     chain_sys_var(chain);
   }
   bool check(Session *session, set_var *var);
@@ -1023,7 +1013,6 @@
   virtual int check(Session *session)=0;	/* To check privileges etc. */
   virtual int update(Session *session)=0;	/* To set the value */
   /* light check for PS */
-  virtual bool no_support_one_shot() { return 1; }
 };
 
 
@@ -1069,7 +1058,6 @@
   }
   int check(Session *session);
   int update(Session *session);
-  bool no_support_one_shot() { return var->no_support_one_shot; }
 };
 
 

